
import subprocess

class pkg():

    def __init__(self):
        binary = None
        cmd = [ "whereis", "pkg" ]
        whereis_pkg = subprocess.Popen(cmd,
                          stdout=subprocess.PIPE)\
                          .communicate()[0]
        try:
            self.binary = whereis_pkg.split()[1]
        except Exception as e:
            raise e

    def info(self, *args):
        pkg_info = [ self.binary, "info" ]
        for arg in args:
            items = arg.split(' ')
            for item in items:
                pkg_info.append(item)
            output = subprocess.Popen(pkg_info,
                         stdout=subprocess.PIPE)\
                         .communicate()[0]\
                         .rstrip('\n')
        return output
